Bug 1370246 - Suddenly gnome-documents plus nautilus start consuming a lot of IO
Suddenly gnome-documents plus nautilus start consuming a lot of IO
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-documents (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Elad Alfassa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-25 13:36 EDT by Francisco Panis Kaseker
Modified: 2017-08-08 12:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 12:48:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Francisco Panis Kaseker 2016-08-25 13:36:16 EDT
Description of problem:
Suddenly gnome-documents start consuming a lot of IO with only firefox+google chrome+xchat+guake opened. It occur every day. And because of that my notebook stay very slow.

Version-Release number of selected component (if applicable):
gnome-documents-libs-3.20.0-2.fc24.x86_64
gnome-documents-3.20.0-2.fc24.x86_64


How reproducible:
I really do not know. Suddenly it start. For 4 weeks I am trying do identify which steps produce this behavior.


Steps to Reproduce:
No

Steps to stop:
pkill nautilus (I did not open nautilus)

How I saw IO usage:
iotop -a

22463 be/4 francisc    302.93 M      0.00 B  0.00 % 99.57 % gjs /usr/bin/gnome-documents --gapplication-service [pool]
22462 be/4 francisc    517.04 M      0.00 B  0.00 % 96.11 % nautilus --gapplication-service

This consume is about 3 minutes. 


Additional info:

I can show any other log that you want. I did not have any other problem or error in journalctl. My fedora 24 is a fedora 23 updated. My co-worker have a desktop with fedora 24 (not updated) and does not have that problem. I always update my fedora.
Comment 1 Debarshi Ray 2016-08-25 14:47:40 EDT
> How reproducible:
> I really do not know. Suddenly it start. For 4 weeks I am trying do identify
> which steps produce this behavior.
> 
> 
> Steps to Reproduce:
> No
> 
> Steps to stop:
> pkill nautilus (I did not open nautilus)

I think nautilus got started when you were typing in the gnome-shell overview.

> Additional info:
> 
> I can show any other log that you want. I did not have any other problem or
> error in journalctl. My fedora 24 is a fedora 23 updated. My co-worker have
> a desktop with fedora 24 (not updated) and does not have that problem. I
> always update my fedora.

It might depend on the kind/number of files you have in your home directory.

Can you use gstack to get some backtraces of the gnome-documents and nautilus processes? It might show what they are doing.
Comment 2 Francisco Panis Kaseker 2016-08-25 15:38:35 EDT
After first problem in current boot I did pkill gnome-documents and nautilus to stop the problem.

When I received your email asking about gstack, I read the gstack man and did some gstack commands in some process. Then I decided reboot my notebook to see the problem again, but before that I tried to open and close nautilus. After that gnome-documents started use a lot of IO.

Then I did gstack commands:

#ps aux | egrep -i nautilus
francis+ 26062  8.2  0.3 954468 22576 ?        Sl   16:24   0:10 /usr/bin/nautilus --gapplication-service
francis+ 26218  0.0  0.0 118496   812 pts/3    S+   16:26   0:00 grep -E --color=auto -i nautilus
#gstack 26062

[francisco@localhost ~]$ ps aux | egrep -i gnome-documents
francis+ 26060  0.5  0.3 1043132 19608 ?       Sl   16:24   0:02 /usr/bin/gjs /usr/bin/gnome-documents --gapplication-service
francis+ 26397  0.0  0.0 118496   856 pts/5    S+   16:33   0:00 grep -E --color=auto -i gnome-documents
[francisco@localhost ~]$ gstack 26060

I waited something about 5 minutes and, as you can see, no answer from them. I did a lot of ctrl+c for both commands and I can not cancel them.

Then I did pkill for both and tried other process:

#ps aux | egrep -i xchat
francis+ 26089  0.0  0.3 389620 19512 tty2     S+   16:24   0:00 xchat
francis+ 26511  0.0  0.0 118496   900 pts/4    S+   16:36   0:00 grep -E --color=auto -i xchat
#gstack 26089
#0  0x00007fdb149143d0 in __poll_nocancel () from /lib64/libc.so.6
#1  0x00007fdb10941a46 in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#2  0x00007fdb10941dd2 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#3  0x00007fdb13ebcc0a in gtk_main () from /lib64/libgtk-x11-2.0.so.0
#4  0x000000000041b6a9 in fe_main ()
#5  0x0000000000411cd8 in main ()
#


Worked for xchat process.
Comment 3 Francisco Panis Kaseker 2016-08-25 15:48:40 EDT
About "I think nautilus got started when you were typing in the gnome-shell overview." I tried (after did pkill gnome-documents and nautilus) and have no problem.


Then I did reboot and opened GNOME shell to open guake. The problem started.

And yes, I have a lot of file in my home (a lot of chroots, gits etc).

You found the bug :)
Comment 4 Debarshi Ray 2016-08-26 08:25:02 EDT
Do you happen to have your git trees inside ~/Documents or something similar? Basically any of the places that are indexed for searching. Go to
  Settings -> Search -> < gear menu >
... for a list of the locations.
Comment 5 Francisco Panis Kaseker 2016-08-26 09:28:50 EDT
All my gits are under /home/myuser/gits/*.
All my chroots are under /home/myuser/*.

In Document I have few files.
Comment 6 Francisco Panis Kaseker 2016-08-31 09:29:20 EDT
Temporary I disabled Documents search documents in:

Settings > Search > Documents
Comment 7 Fedora End Of Life 2017-07-25 18:38:50 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2017-08-08 12:48:18 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.